package ink.wgink.module.activiti.pojo.vos;

import ink.wgink.module.activiti.pojo.vos.oa.nodemanage.OaNodeManageVO;

import java.util.List;

/**
 * @ClassName: ActivitiModelVO
 * @Description: 模型
 * @Author: wanggeng
 * @Date: 2021/12/7 11:36 PM
 * @Version: 1.0
 */

public class ActivitiModelVO {

    private String name;
    private String description;
    private String jsonXml;
    private String svgXml;
    private Boolean isOa;
    private List<OaNodeManageVO> oaNodeManages;

    public String getName() {
        return name == null ? "" : name.trim();
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description == null ? "" : description.trim();
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getJsonXml() {
        return jsonXml == null ? "" : jsonXml.trim();
    }

    public void setJsonXml(String jsonXml) {
        this.jsonXml = jsonXml;
    }

    public String getSvgXml() {
        return svgXml == null ? "" : svgXml.trim();
    }

    public void setSvgXml(String svgXml) {
        this.svgXml = svgXml;
    }

    public Boolean getOa() {
        return isOa == null ? false : isOa;
    }

    public void setOa(Boolean oa) {
        isOa = oa;
    }

    public List<OaNodeManageVO> getOaNodeManages() {
        return oaNodeManages;
    }

    public void setOaNodeManages(List<OaNodeManageVO> oaNodeManages) {
        this.oaNodeManages = oaNodeManages;
    }
}
